Important: These forums are for discussions between SkyDemon users. They are not routinely monitored by SkyDemon staff so any urgent issues should be sent directly to our Customer Support.

SkyDemon for Mac OS X (unofficially)


Author
Message
macht_rebel
m
Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)Too Much Forum (953 reputation)
Group: Forum Members
Posts: 12, Visits: 36
Dear rikur,

I do have an issue since the Beginnung of using SD for MAC. When I open a plate (PDF) I always get a error Message (enclosed) which says that a proper PDF reader is missing. Nevertheless the PDF opens in the default viewer (Apple Preview).

Is there a way to eliminate this dialogue?

Thanks, 
Marc





I am using SD on iPad, iPhone and Mac.
JWB
J
Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)Forum Newbie (1 reputation)
Group: Forum Members
Posts: 1, Visits: 0
Hi Rikur,

I'm receieving an error: "ERROR! Cannot write to plist. This cannot be done on a read-only dmg"

I'm running High Sierra 10.13.6. Any help at all would be appreciated. I've noticed that somebody else had this error on the previous page of this thread but I couldn't find a resolution.

Cheers!

rikur
rikur
Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)
Group: Forum Members
Posts: 131, Visits: 632
JWB - 12/20/2018 2:12:24 PM
Hi Rikur,

I'm receieving an error: "ERROR! Cannot write to plist. This cannot be done on a read-only dmg"

I'm running High Sierra 10.13.6. Any help at all would be appreciated. I've noticed that somebody else had this error on the previous page of this thread but I couldn't find a resolution.

Cheers!

This error often occurs if the folder containing Skydemon is read only.  Make sure that you have unzipped the application and that the folder containing it can be written to.  You can right click 'show package contents' and then try creating a file inside the folder.


Cessnaoui
Cessnaoui
Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)Too Much Forum (1.7K reputation)
Group: Forum Members
Posts: 28, Visits: 0
Hello all,

I am using Skydemon for Mac for many years now.
Today, I am proposed to download and install latest version.
After download, SETUP program starts and gives following error message :

"Skydemon requires Microsoft .NET Framework 4.5.
Go to the Windows Control Panel, select Programs and Features then Turn Windows Features On or Off.
Ensure .NET Framework 4 is turned on then click OK."

Any idea how I can solve that issue within Wineskin ?

Thank you in advance for your help. 

rikur
rikur
Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)
Group: Forum Members
Posts: 131, Visits: 632
Cessnaoui - 3/1/2019 8:08:16 AM
Hello all,

I am using Skydemon for Mac for many years now.
Today, I am proposed to download and install latest version.
After download, SETUP program starts and gives following error message :

"Skydemon requires Microsoft .NET Framework 4.5.
Go to the Windows Control Panel, select Programs and Features then Turn Windows Features On or Off.
Ensure .NET Framework 4 is turned on then click OK."

Any idea how I can solve that issue within Wineskin ?

Thank you in advance for your help. 

I'm liaising with Tim, and hope to have a fix or work around in the next day or so.
rikur
rikur
Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)
Group: Forum Members
Posts: 131, Visits: 632
rikur - 3/1/2019 8:31:02 AM
Cessnaoui - 3/1/2019 8:08:16 AM
Hello all,

I am using Skydemon for Mac for many years now.
Today, I am proposed to download and install latest version.
After download, SETUP program starts and gives following error message :

"Skydemon requires Microsoft .NET Framework 4.5.
Go to the Windows Control Panel, select Programs and Features then Turn Windows Features On or Off.
Ensure .NET Framework 4 is turned on then click OK."

Any idea how I can solve that issue within Wineskin ?

Thank you in advance for your help. 

I'm liaising with Tim, and hope to have a fix or work around in the next day or so.

I've not forgotten about this ....  getting a stable Wineskin wrapper that includes .net 4.5 is proving elusive at the moment 
MarkusM
M
Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)Too Much Forum (137 reputation)
Group: Forum Members
Posts: 96, Visits: 79
rikur - 3/8/2019 8:27:22 AM
rikur - 3/1/2019 8:31:02 AM
Cessnaoui - 3/1/2019 8:08:16 AM
Hello all,

I am using Skydemon for Mac for many years now.
Today, I am proposed to download and install latest version.
After download, SETUP program starts and gives following error message :

"Skydemon requires Microsoft .NET Framework 4.5.
Go to the Windows Control Panel, select Programs and Features then Turn Windows Features On or Off.
Ensure .NET Framework 4 is turned on then click OK."

Any idea how I can solve that issue within Wineskin ?

Thank you in advance for your help. 

I'm liaising with Tim, and hope to have a fix or work around in the next day or so.

I've not forgotten about this ....  getting a stable Wineskin wrapper that includes .net 4.5 is proving elusive at the moment 

Maybe finally time for an official Mac compilation of the source?

Jörg Hofmann
Jörg Hofmann
Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)Too Much Forum (309 reputation)
Group: Forum Members
Posts: 8, Visits: 5
MarkusM - 3/9/2019 11:26:58 AM

Maybe finally time for an official Mac compilation of the source?

I wouldn't estimate that due to Apple Rumors, making ipad apps running on macOS in the (near?) future => https://www.maclife.de/news/project-marzipan-steckt-hinter-apples-geheimen-plaenen-macos-100108255.html

in the meanwhile i'll set all my hopes on rikur ;-)

rikur
rikur
Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)Too Much Forum (11K reputation)
Group: Forum Members
Posts: 131, Visits: 632
Unfortunately I seem to have been defeated by this one.  I am unable to create a stable wrapper of the latest version of Skydemon, and given the pending demise of support for the 32-bit Wineskin wrapper, even any reprise is going to be short-term.


rk19
rk19
Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)Too Much Forum (199 reputation)
Group: Forum Members
Posts: 3, Visits: 108
Am running SD within Crossover for mac (a wine wrapper).  Seems to work fine. 
GO

Merge Selected

Merge into selected topic...



Merge into merge target...



Merge into a specific topic ID...




Reading This Topic

Login

Explore
Messages
Mentions
Search